org.gitana.platform.support

## Class TypedIDConstants

- java.lang.Object
- - org.gitana.platform.support.TypedIDConstants

    public class TypedIDConstants
    extends Object

Author:
  uzi

### Field Summary

Fields
`static String` `TYPE_APPLICATION`
`static String` `TYPE_ARCHIVE`
`static String` `TYPE_ASSOCIATION`
`static String` `TYPE_AUTHENTICATION_GRANT`
`static String` `TYPE_AUTO_CLIENT_MAPPING`
`static String` `TYPE_BILLING_PROVIDER_CONFIGURATION`
`static String` `TYPE_BRANCH`
`static String` `TYPE_CHANGESET`
`static String` `TYPE_CLIENT`
`static String` `TYPE_CLUSTER`
`static String` `TYPE_CONNECTION`
`static String` `TYPE_CONVERSION_TRIGGER`
`static String` `TYPE_DELETION`
`static String` `TYPE_DEPLOYED_APPLICATION`
`static String` `TYPE_DIRECTORY`
`static String` `TYPE_DOMAIN`
`static String` `TYPE_DOMAIN_GROUP`
`static String` `TYPE_DOMAIN_USER`
`static String` `TYPE_EMAIL`
`static String` `TYPE_EMAIL_PROVIDER`
`static String` `TYPE_IDENTITY`
`static String` `TYPE_IDENTITY_PASSWORD`
`static String` `TYPE_IDENTITY_POLICY`
`static String` `TYPE_INTERACTION`
`static String` `TYPE_INTERACTION_APPLICATION`
`static String` `TYPE_INTERACTION_CITY`
`static String` `TYPE_INTERACTION_CONTINENT`
`static String` `TYPE_INTERACTION_COUNTRY`
`static String` `TYPE_INTERACTION_DEVICE`
`static String` `TYPE_INTERACTION_NODE`
`static String` `TYPE_INTERACTION_OPERATINGSYSTEM`
`static String` `TYPE_INTERACTION_PAGE`
`static String` `TYPE_INTERACTION_POSTALCODE`
`static String` `TYPE_INTERACTION_REGION`
`static String` `TYPE_INTERACTION_REPORT`
`static String` `TYPE_INTERACTION_REPORT_ENTRY`
`static String` `TYPE_INTERACTION_SESSION`
`static String` `TYPE_INTERACTION_USER`
`static String` `TYPE_INTERACTION_USERAGENT`
`static String` `TYPE_JOB`
`static String` `TYPE_LOG_ENTRY`
`static String` `TYPE_METER`
`static String` `TYPE_NODE`
`static String` `TYPE_PLAN`
`static String` `TYPE_PLATFORM`
`static String` `TYPE_REGISTRAR`
`static String` `TYPE_REGISTRATION`
`static String` `TYPE_REPOSITORY`
`static String` `TYPE_SETTINGS`
`static String` `TYPE_STACK`
`static String` `TYPE_TENANT`
`static String` `TYPE_VAULT`
`static String` `TYPE_WAREHOUSE`
`static String` `TYPE_WEB_HOST`

### Constructor Summary

Constructors
Constructor and Description
`TypedIDConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_APPLICATION

    public static final String TYPE_APPLICATION

See Also:
  Constant Field Values

#### TYPE_EMAIL

    public static final String TYPE_EMAIL

See Also:
  Constant Field Values

#### TYPE_EMAIL_PROVIDER

    public static final String TYPE_EMAIL_PROVIDER

See Also:
  Constant Field Values

#### TYPE_REGISTRATION

    public static final String TYPE_REGISTRATION

See Also:
  Constant Field Values

#### TYPE_SETTINGS

    public static final String TYPE_SETTINGS

See Also:
  Constant Field Values

#### TYPE_CLUSTER

    public static final String TYPE_CLUSTER

See Also:
  Constant Field Values

#### TYPE_JOB

    public static final String TYPE_JOB

See Also:
  Constant Field Values

#### TYPE_LOG_ENTRY

    public static final String TYPE_LOG_ENTRY

See Also:
  Constant Field Values

#### TYPE_DIRECTORY

    public static final String TYPE_DIRECTORY

See Also:
  Constant Field Values

#### TYPE_IDENTITY

    public static final String TYPE_IDENTITY

See Also:
  Constant Field Values

#### TYPE_CONNECTION

    public static final String TYPE_CONNECTION

See Also:
  Constant Field Values

#### TYPE_IDENTITY_POLICY

    public static final String TYPE_IDENTITY_POLICY

See Also:
  Constant Field Values

#### TYPE_IDENTITY_PASSWORD

    public static final String TYPE_IDENTITY_PASSWORD

See Also:
  Constant Field Values

#### TYPE_DOMAIN

    public static final String TYPE_DOMAIN

See Also:
  Constant Field Values

#### TYPE_DOMAIN_GROUP

    public static final String TYPE_DOMAIN_GROUP

See Also:
  Constant Field Values

#### TYPE_DOMAIN_USER

    public static final String TYPE_DOMAIN_USER

See Also:
  Constant Field Values

#### TYPE_PLATFORM

    public static final String TYPE_PLATFORM

See Also:
  Constant Field Values

#### TYPE_AUTHENTICATION_GRANT

    public static final String TYPE_AUTHENTICATION_GRANT

See Also:
  Constant Field Values

#### TYPE_BILLING_PROVIDER_CONFIGURATION

    public static final String TYPE_BILLING_PROVIDER_CONFIGURATION

See Also:
  Constant Field Values

#### TYPE_CLIENT

    public static final String TYPE_CLIENT

See Also:
  Constant Field Values

#### TYPE_STACK

    public static final String TYPE_STACK

See Also:
  Constant Field Values

#### TYPE_REGISTRAR

    public static final String TYPE_REGISTRAR

See Also:
  Constant Field Values

#### TYPE_METER

    public static final String TYPE_METER

See Also:
  Constant Field Values

#### TYPE_PLAN

    public static final String TYPE_PLAN

See Also:
  Constant Field Values

#### TYPE_TENANT

    public static final String TYPE_TENANT

See Also:
  Constant Field Values

#### TYPE_REPOSITORY

    public static final String TYPE_REPOSITORY

See Also:
  Constant Field Values

#### TYPE_ASSOCIATION

    public static final String TYPE_ASSOCIATION

See Also:
  Constant Field Values

#### TYPE_BRANCH

    public static final String TYPE_BRANCH

See Also:
  Constant Field Values

#### TYPE_CHANGESET

    public static final String TYPE_CHANGESET

See Also:
  Constant Field Values

#### TYPE_NODE

    public static final String TYPE_NODE

See Also:
  Constant Field Values

#### TYPE_DELETION

    public static final String TYPE_DELETION

See Also:
  Constant Field Values

#### TYPE_VAULT

    public static final String TYPE_VAULT

See Also:
  Constant Field Values

#### TYPE_ARCHIVE

    public static final String TYPE_ARCHIVE

See Also:
  Constant Field Values

#### TYPE_WAREHOUSE

    public static final String TYPE_WAREHOUSE

See Also:
  Constant Field Values

#### TYPE_INTERACTION

    public static final String TYPE_INTERACTION

See Also:
  Constant Field Values

#### TYPE_INTERACTION_APPLICATION

    public static final String TYPE_INTERACTION_APPLICATION

See Also:
  Constant Field Values

#### TYPE_INTERACTION_NODE

    public static final String TYPE_INTERACTION_NODE

See Also:
  Constant Field Values

#### TYPE_INTERACTION_PAGE

    public static final String TYPE_INTERACTION_PAGE

See Also:
  Constant Field Values

#### TYPE_INTERACTION_REPORT

    public static final String TYPE_INTERACTION_REPORT

See Also:
  Constant Field Values

#### TYPE_INTERACTION_REPORT_ENTRY

    public static final String TYPE_INTERACTION_REPORT_ENTRY

See Also:
  Constant Field Values

#### TYPE_INTERACTION_SESSION

    public static final String TYPE_INTERACTION_SESSION

See Also:
  Constant Field Values

#### TYPE_INTERACTION_USER

    public static final String TYPE_INTERACTION_USER

See Also:
  Constant Field Values

#### TYPE_INTERACTION_CONTINENT

    public static final String TYPE_INTERACTION_CONTINENT

See Also:
  Constant Field Values

#### TYPE_INTERACTION_COUNTRY

    public static final String TYPE_INTERACTION_COUNTRY

See Also:
  Constant Field Values

#### TYPE_INTERACTION_CITY

    public static final String TYPE_INTERACTION_CITY

See Also:
  Constant Field Values

#### TYPE_INTERACTION_REGION

    public static final String TYPE_INTERACTION_REGION

See Also:
  Constant Field Values

#### TYPE_INTERACTION_POSTALCODE

    public static final String TYPE_INTERACTION_POSTALCODE

See Also:
  Constant Field Values

#### TYPE_INTERACTION_USERAGENT

    public static final String TYPE_INTERACTION_USERAGENT

See Also:
  Constant Field Values

#### TYPE_INTERACTION_OPERATINGSYSTEM

    public static final String TYPE_INTERACTION_OPERATINGSYSTEM

See Also:
  Constant Field Values

#### TYPE_INTERACTION_DEVICE

    public static final String TYPE_INTERACTION_DEVICE

See Also:
  Constant Field Values

#### TYPE_CONVERSION_TRIGGER

    public static final String TYPE_CONVERSION_TRIGGER

See Also:
  Constant Field Values

#### TYPE_WEB_HOST

    public static final String TYPE_WEB_HOST

See Also:
  Constant Field Values

#### TYPE_AUTO_CLIENT_MAPPING

    public static final String TYPE_AUTO_CLIENT_MAPPING

See Also:
  Constant Field Values

#### TYPE_DEPLOYED_APPLICATION

    public static final String TYPE_DEPLOYED_APPLICATION

See Also:
  Constant Field Values

### Constructor Detail

#### TypedIDConstants

    public TypedIDConstants()